Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
tag: v1.3.0.pre.7
Fetching contributors…

Cannot retrieve contributors at this time

65 lines (64 sloc) 1.555 kb
language: ruby
script: rake spec:travis
before_script: rake spec:travis:deps
branches:
only:
- master
- 1-2-stable
- 1-1-stable
- 1-0-stable
notifications:
email:
- mail@arko.net
- hone02@gmail.com
irc:
on_success: change
on_failure: always
channels:
- "irc.freenode.org#bundler"
rvm:
- 1.9.3
- 1.9.2
- 1.8.7
# Rubygems versions MUST be available as rake tasks
# see Rakefile:66 for the list of possible RGV values
env:
# we need to know if changes to rubygems will break bundler on release
- RGV=master
# test the latest rubygems release with all of our supported rubies
- RGV=v1.8.24
matrix:
allow_failures:
# we want to know how we're doing with head, but not fail the build
- rvm: ruby-head
# until the 2.0 rc, it's okay for failures to crop up
- rvm: 2.0.0
# 1.9.2 is simply too slow. it sometimes exceeds the 25m hard limit.
- rvm: 1.9.2
include:
# riding the edge
- rvm: ruby-head
env: RGV=master
# 2.0 release track
- rvm: 2.0.0
env: RGV=v2.0.0.rc.1
# Bundler 1.x supports Rubygems down to 1.5.3 on Ruby 1.9.3
- rvm: 1.9.3
env: RGV=v1.7.2
- rvm: 1.9.3
env: RGV=v1.6.2
- rvm: 1.9.3
env: RGV=v1.5.3
# Bundler 1.x supports Rubygems down to 1.3.6 on Ruby 1.8.7
- rvm: 1.8.7
env: RGV=v1.7.2
- rvm: 1.8.7
env: RGV=v1.6.2
- rvm: 1.8.7
env: RGV=v1.5.3
- rvm: 1.8.7
env: RGV=v1.4.2
- rvm: 1.8.7
env: RGV=v1.3.7
- rvm: 1.8.7
env: RGV=v1.3.6
Jump to Line
Something went wrong with that request. Please try again.